import withLayout from '@/layout'
import Taro from '@tarojs/taro'
import { ScrollView, View, RichText } from '@tarojs/components'
import { useEffect, useState } from 'react'
import { queryBkAgreement } from "@/services/borker";

import './index.scss'

export default withLayout((props) => {
  const { buildingId } = props.router.params;

  const [data, setData] = useState({})

  const getDetail = (params) => {
    Taro.showLoading();

    queryBkAgreement(params).then((res) => {

      setData(res.records[0]);
      Taro.hideLoading();
    });
  };

  useEffect(() => {
    if (buildingId) {
      getDetail({ buildingId });
    }
  }, [buildingId])

  return (
    <ScrollView className='Page commission' scrollY>
      <View className='agreement-wrapper'>
        <View className='agreement-wrapper-content'>
          <View className='agreement-wrapper-title'>佣金规则</View>
          <RichText nodes={data.content}></RichText>
        </View>
      </View>
    </ScrollView>
  )
})